SWFieldManagerInternal::Field Struct Reference documentation

Public Member Functions | Public Attributes | Protected Member Functions | Friends | List of all members
SWFieldManagerInternal::Field Struct Reference

Internal: a field. More...

`#include <SWFieldManager.hxx>`

Inheritance diagram for SWFieldManagerInternal::Field:

## Public Member Functions
| Field ()
| constructor More...
virtual | ~Field ()
| destructor More...
virtual bool | send (STOFFListenerPtr &listener, StarState &state) const
| add to send the zone data More...
virtual void | print (std::ostream &o) const
| print a field More...

## Public Attributes
int | m_type
| the field type More...
int | m_subType
| the subtype More...
int | m_format
| the field format More...
librevenge::RVNGString | m_name
| the name More...
librevenge::RVNGString | m_content
| the content More...
librevenge::RVNGString | m_textValue
| the value text More...
double | m_doubleValue
| double More...
int | m_level
| the chapter level More...

## Protected Member Functions
| Field (const Field &)=default
| copy constructor More...

## Friends
std::ostream & | operator<< (std::ostream &o, Field const &field)
| operator<< More...

## Detailed Description

Internal: a field.

## Constructor & Destructor Documentation

## ◆ Field() [1/2]

SWFieldManagerInternal::Field::Field | ( |  | ) |
| inline

constructor

## ◆ ~Field()

SWFieldManagerInternal::Field::~Field | ( |  | ) |
| virtual

destructor

## ◆ Field() [2/2]

SWFieldManagerInternal::Field::Field | ( | const Field & |  | ) |
| protecteddefault

copy constructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::Field::print | ( | std::ostream & | o | ) | const
| virtual

print a field

Reimplemented in SWFieldManagerInternal::FieldSetField, SWFieldManagerInternal::FieldSetExp, SWFieldManagerInternal::FieldScript, SWFieldManagerInternal::FieldPostIt, SWFieldManagerInternal::FieldPageNumber, SWFieldManagerInternal::FieldJumpEdit, SWFieldManagerInternal::FieldINet, SWFieldManagerInternal::FieldHiddenText, SWFieldManagerInternal::FieldDBField, and SWFieldManagerInternal::FieldDateTime.

Referenced by SWFieldManagerInternal::FieldDateTime::print(), SWFieldManagerInternal::FieldDBField::print(), SWFieldManagerInternal::FieldHiddenText::print(), SWFieldManagerInternal::FieldINet::print(), SWFieldManagerInternal::FieldJumpEdit::print(), SWFieldManagerInternal::FieldPageNumber::print(), SWFieldManagerInternal::FieldPostIt::print(), SWFieldManagerInternal::FieldScript::print(), SWFieldManagerInternal::FieldSetExp::print(), and SWFieldManagerInternal::FieldSetField::print().

## ◆ send()

bool SWFieldManagerInternal::Field::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state
| ) |  | const
| virtual

add to send the zone data

Reimplemented in SWFieldManagerInternal::FieldSetField, SWFieldManagerInternal::FieldSetExp, SWFieldManagerInternal::FieldPostIt, SWFieldManagerInternal::FieldPageNumber, SWFieldManagerInternal::FieldJumpEdit, SWFieldManagerInternal::FieldINet, SWFieldManagerInternal::FieldHiddenText, SWFieldManagerInternal::FieldDBField, and SWFieldManagerInternal::FieldDateTime.

Referenced by SWFieldManagerInternal::FieldDateTime::send(), SWFieldManagerInternal::FieldDBField::send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldINet::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPageNumber::send(), SWFieldManagerInternal::FieldPostIt::send(), SWFieldManagerInternal::FieldSetExp::send(), and SWFieldManagerInternal::FieldSetField::send().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Field const & | field
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_content

librevenge::RVNGString SWFieldManagerInternal::Field::m_content

the content

Referenced by print(), send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPostIt::send(), and SWFieldManagerInternal::FieldSetExp::send().

## ◆ m_doubleValue

double SWFieldManagerInternal::Field::m_doubleValue

double

Referenced by print(), and send().

## ◆ m_format

int SWFieldManagerInternal::Field::m_format

the field format

Referenced by print(), send(), SWFieldManagerInternal::FieldJumpEdit::send(), and SWFieldManagerInternal::FieldSetExp::send().

## ◆ m_level

int SWFieldManagerInternal::Field::m_level

the chapter level

Referenced by print(), and send().

## ◆ m_name

librevenge::RVNGString SWFieldManagerInternal::Field::m_name

the name

Referenced by print(), send(), and SWFieldManagerInternal::FieldSetExp::send().

## ◆ m_subType

int SWFieldManagerInternal::Field::m_subType

the subtype

Referenced by print(), and send().

## ◆ m_textValue

librevenge::RVNGString SWFieldManagerInternal::Field::m_textValue

the value text

Referenced by print(), and send().

## ◆ m_type

int SWFieldManagerInternal::Field::m_type

the field type

Referenced by print(), send(), SWFieldManagerInternal::FieldDateTime::send(), SWFieldManagerInternal::FieldDBField::send(), SWFieldManagerInternal::FieldHiddenText::send(), SWFieldManagerInternal::FieldINet::send(), SWFieldManagerInternal::FieldJumpEdit::send(), SWFieldManagerInternal::FieldPageNumber::send(), SWFieldManagerInternal::FieldPostIt::send(), SWFieldManagerInternal::FieldSetExp::send(), and SWFieldManagerInternal::FieldSetField::send().

The documentation for this struct was generated from the following files:

- SWFieldManager.hxx
- SWFieldManager.cxx